Issue JWT token
curl --request POST \
--url https://whitebit.com/api/v4/jwt \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"request": "{{request}}",
"nonceWindow": false,
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/jwt"
payload = {
"request": "{{request}}",
"nonceWindow": False,
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({request: '{{request}}', nonceWindow: false, nonce: 1594297865000})
};
fetch('https://whitebit.com/api/v4/jwt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
"expires_at": 1622551200
}
}{
"code": 0,
"message": "Validation failed",
"errors": {
"request": [
"The request field is required."
],
"nonce": [
"The nonce field is required."
]
}
}{
"code": 0,
"message": "Invalid API key, signature, or nonce"
}{
"code": 0,
"message": "Server configuration issues"
}Issue JWT token
Issue a JWT token for authenticating with WhiteBIT services via the V4 API.
Issue JWT token
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Response
Validation succeeded and JWT token is returned
Show child attributes
Show child attributes
Was this page helpful?
⌘I